Bug 70464 - [PATCH] audio/gtkpod: [Remove faad support and only use mpeg4ip]
Summary: [PATCH] audio/gtkpod: [Remove faad support and only use mpeg4ip]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-08-15 02:30 UTC by Michael Johnson
Modified: 2004-08-16 10:41 UTC (History)
1 user (show)

See Also:


Attachments
gtkpod-0.80_1.patch (1.05 KB, patch)
2004-08-15 02:30 UTC, Michael Johnson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Johnson 2004-08-15 02:30:06 UTC
- Remove faad support and only use mpeg4ip for aac

libmp4v2 from faad is outdated and does not work gtkpod anymore.
faad uses mpeg4ip for libmp4v2 unless WITHOUT_MPEG4IP is defined. 

Port maintainer (david@dyn-ns.net) is cc'd.

Generated with FreeBSD Port Tools 0.63

How-To-Repeat: if mpeg4ip is installed it needs to be removed first then the following.

cd ports/audio/faad && make install WITHOUT_MPEG4IP=yes && \
cd ports/audio/gtkpod && make configure WITH_FAAD=yes
Comment 1 Michael Johnson 2004-08-15 02:41:49 UTC
Btw,
faad's libmp4v2 comes from mpeg4ip 0.9.8

Michael
Comment 2 David Le Brun 2004-08-15 12:51:21 UTC
Le Dim 15/08/2004 à 03:41, Michael Johnson a écrit :
> Btw,
> faad's libmp4v2 comes from mpeg4ip 0.9.8
> 
> Michael
> 
> 

Thanks Michael for your patch. As faad's libmp4 is outdated, I'm ok to
remove it from gtkpod's port. Committer, please apply this patch.

David
Comment 3 Pav Lucistnik freebsd_committer 2004-08-16 10:41:50 UTC
State Changed
From-To: open->closed

Committed, thanks!